Skip to content

Get Conversation

Request

Used to load a known conversation from the customer's system. Used during ongoing synchronizations.

Security
BearerAuth
Bodyapplication/json
conversation_idstring

ID of the conversation in your system

Example:"conv_456"
POST
/get_conversation
curl -i -X POST \
  https://helpdesk.example.com/api/fin/get_conversation \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "conversation_id": "conv_456"
  }'

Responses

Conversation found successfully

Bodyapplication/json
dataobject(Conversation)
errorobject or null(ProblemDetails)

The error returned by the API. This is an RFC 7807 problem details object: https://www.rfc-editor.org/rfc/rfc7807.html.

Response
{ "data": { "id": "conv_456", "title": "Question about pricing", "status": "ended", "user": { … }, "tags": [ … ], "attributes": { … }, "assignee": { … }, "created_at": "2025-10-27T14:30:00.000Z", "updated_at": "2025-10-27T14:30:00.000Z" } }